<?php
/**
 * Plugin Name: 1pxeye Open Graph Controller
 * Plugin URI:  https://plugins.1pxeye.com/1pxeye-ogc/
 * Description: Optimize web-hosted content that people share to Facebook, Twitter, regardless of whether it's shared from the desktop or mobile web or a mobile app.
 * Version:     2023.12
 * Author:      1pxeye
 * Author URI:  https://plugins.1pxeye.com/
 * License:     GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: 1pxeye-open-graph-controller
 */
defined('ABSPATH') or die('Access Denied!');

if (!class_exists('OnepxeyeOGC')) {
    class OnepxeyeOGC
    {
        public $plugin;
        public function __construct()
        {
            $this->plugin = plugin_basename(__FILE__);
            add_action('init', array($this, 'custom_post_type'));
            add_filter('plugin_action_links_' . $this->plugin, array($this, 'settings_link'));
            require_once plugin_dir_path(__FILE__) . '/functions/functions.php';
            require_once plugin_dir_path(__FILE__) . '/functions/front.php';

        }

        public function settings_link($links)
        {
            $settings_link = '<a href="admin.php?page=ogc-description-settings">Settings</a>';
            array_push($links, $settings_link);
            return $links;
        }

        public function custom_post_type()
        {

        }

        public function admin_enqueue()
        {
            wp_enqueue_media();
            wp_enqueue_style('onepxeye-ogc-admin-style', plugins_url('/assets/css/onepxeye-ogc-admin-style.css', __FILE__));
            if (!wp_script_is('jquery', 'enqueued')) {
                wp_enqueue_script('onepxeye-ogc-admin-jquery', plugins_url('/assets/jquery-3.5.1.min.js', __FILE__), array(), null, false);
            }
            wp_enqueue_script('onepxeye-ogc-admin-script', plugins_url('/assets/onepxeye-ogc-admin-script.js', __FILE__), array(), null, false);
        }

        public function register_scripts()
        {
            add_action('admin_enqueue_scripts', array($this, 'admin_enqueue'));
        }

    }

    if (class_exists('OnepxeyeOGC')) {
        $OnepxeyeOGC = new OnepxeyeOGC();
        $OnepxeyeOGC->register_scripts();
    }

// activation
    require_once plugin_dir_path(__FILE__) . 'inc/ActivativeOGC.php';
    register_activation_hook(__FILE__, array('ActivativeOGC', 'activate'));

// deactivation
    require_once plugin_dir_path(__FILE__) . 'inc/DeactivateOGC.php';
    register_deactivation_hook(__FILE__, array('DeactivateOGC', 'deactive'));

}