<link href="https://fonts.googleapis.com/css?family=Literata:400,700&display=swap" rel="stylesheet">
<div class="ogc-wrapper">
    <h1>Open Graph Controller settings</h1>
    <?php settings_errors();?>
    <form action="options.php" method="post">
        <?php settings_fields('ogc-description-settings-group');?>
        <?php do_settings_sections('ogc-posttype-settings');?>
        <?php submit_button();?>
        <?php do_settings_sections('ogc-custom-settings');?>
        <?php submit_button();?>
        <?php do_settings_sections('ogc-description-settings');?>
        <?php submit_button();?>
        <?php do_settings_sections('ogimages-settings');?>
        <?php submit_button();?>
        <?php do_settings_sections('ogc-twitter_card-settings');?>
        <?php submit_button();?>
        <?php do_settings_sections('ogc-remove_uninstall-settings');?>
        <?php submit_button();?>
    </form>
    <div class="ogc-manual">
        <h1>Manual</h1>
        <div class="ogc-manual-wrapper">
            <div class="special-note">
                <span class="dashicons dashicons-warning"></span>
                <div class="special-note-text">For optimizing the database, when you uninstall this plugin, all of the
                    data
                    belongs to this plugin will be removed from the database. So if you didn't want to delete the old
                    data, just deactivate the plugin without uninstalling. </div>
            </div>
            <h3>What is OGC (Open Graph Controller)?</h3>
            <p>Most content is shared to Facebook or Twitter as a URL, so it's important that you mark up your website with Open
                Graph
                tags to take control over how your content appears on Facebook or Twitter.</p>
            <p>Without these tags, the Facebook Crawler uses internal heuristics to make the best guess about the title,
                description, and preview image for your content. Designate this info explicitly with Open Graph tags to
                ensure the highest quality posts on Facebook or Twitter.</p>
            <h3>The value of the tags shown below that can not be modified with this plugin.</h3>
            <ul>
                <li><strong>og:url</strong>is current page url.</li>
                <li><strong>og:site_name</strong>is current website name.</li>
                <li><strong>og:type</strong>is "website".</li>
                <li><strong>og:image:width</strong>is "1200".</li>
                <li><strong>og:image:height</strong>is "630".</li>
                <li><strong>og:image:alt</strong>is current page title.</li>
            </ul>
            <h3>The value of these tags can be modified with this plugin.</h3>
            <div class="ogc-priority">
                <h4>og:title</h4>
                <h6>1，Singular page / post</h6>
                <p>Open Graph Title &gt; Current page / post title</p>

                <h6>2，Category / Taxonomy / Term page</h6>
                <p>Open Graph Title &gt; Current page / post title &gt; Website name</p>

                <h6>3，Others</h6>
                <p>Current page title</p>

                <h4>og:description</h4>
                <h5>The priority of options related to og:description.</h5>
                <h6>1，Post / Page / CPT</h6>
                <p>Open Graph Description &gt; Excerpt &gt; Default Singular description &gt; Global description &gt;
                    Home Description &gt; Website name</p>

                <h6>2，Taxonomy / Term / Category</h6>
                <p>Open Graph Description &gt; Home Description &gt; Global description &gt; Website name</p>

                <h6>3，Home / Frontpage</h6>
                <p>Home Description &gt; Global description &gt; Website name</p>

                <h6>4，Others</h6>
                <p>Global description &gt; Home Description &gt; Website name</p>
                <h4>og:image</h4>
                <h5>The priority of options related to og:image.</h5>
                <h6>1，Post/Page/CPT</h6>
                <p>Post Thumbnail(large) > Term's image > Default Singular image > Global image > Home image</p>

                <h6>2，Home / Frontpage</h6>
                <p>Home image > Global image</p>

                <h6>3，Taxonomy / Category</h6>
                <p>Term's image > Global image > Home image</p>

                <h6>4，Others</h6>
                <p>Global image > Home image</p>
            </div>
        </div>
    </div>
</div>