<?php
if (!defined('WP_UNINSTALL_PLUGIN')) {
    die;
}

$remove_ogc_data_on_uninstall_confirm = get_option('remove_ogc_data_on_uninstall');
if(!empty($remove_ogc_data_on_uninstall_confirm) && $remove_ogc_data_on_uninstall_confirm == 'remove_data'){

global $wpdb;
$args = array(
    'public' => true,
);
$output = 'names';
$operator = 'or';
$post_types = array();
foreach (get_post_types($args, $output, $operator) as $post_type) {
    $post_types[] = $post_type;
}
$post_types_array = \array_diff($post_types, ["attachment", "revision", "es_template", "rl_gallery"]);
$post_types_array = array_values($post_types_array);
foreach ($post_types_array as $ogc_post_type) {
    $args = array(
        'numberposts' => -1,
        'post_type' => $ogc_post_type,
    );
    $posts = get_posts($args);
    foreach ($posts as $post) {
        delete_post_meta($post->ID, '_ogc_title_field');
        delete_post_meta($post->ID, '_ogc_des_field');
    }
    $ogc_taxes = get_object_taxonomies($post_types_array);
    $ogc_terms = get_terms($ogc_taxes, array(
        'hide_empty' => false,
    ));
    foreach ($ogc_terms as $ogc_term) {
        delete_term_meta($ogc_term->term_id, '_fb_term_ogc_description');
        delete_term_meta($ogc_term->term_id, '_fb_term_ogc_title');
        delete_term_meta($ogc_term->term_id, '_fb_term_ogc_image');
    }
}

delete_option('ogc_posttypes');
delete_option('ogc_home_title_text');
delete_option('ogc_description_position');
delete_option('ogc_description_text');
delete_option('ogc_home_description');
delete_option('ogc_post_description');
delete_option('ogc_global_description');
delete_option('ogc_home_og_img');
delete_option('ogc_post_og_img');
delete_option('ogc_global_og_img');
delete_option('ogc_twitter_card_username');
delete_option('ogc_twitter_card_type');
delete_option('remove_ogc_data_on_uninstall');
}